# Uses of Enum Class
org.bukkit.entity.EntityType

Packages that use EntityType
Package
Description
com.destroystokyo.paper.event.entity
io.papermc.paper.tag
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.material
Classes that represents various voxel types and states.
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of EntityType in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return EntityType
Modifier and Type
Method
Description
`@NotNull EntityType`
ThrownEggHatchEvent.`getHatchingType()`
Get the type of the mob being hatched (EntityType.CHICKEN by default)
`@NotNull EntityType`
PreCreatureSpawnEvent.`getType()`
Methods in com.destroystokyo.paper.event.entity with parameters of type EntityType
Modifier and Type
Method
Description
`void`
ThrownEggHatchEvent.`setHatchingType(@NotNull EntityType hatchType)`
Change the type of mob being hatched by the egg
Constructors in com.destroystokyo.paper.event.entity with parameters of type EntityType
Modifier
Constructor
Description
``
`PreCreatureSpawnEvent(@NotNull Location location, @NotNull EntityType type, CreatureSpawnEvent.SpawnReason reason)`
``
`PreSpawnerSpawnEvent(@NotNull Location location, @NotNull EntityType type, @NotNull Location spawnerLocation)`
``
`ThrownEggHatchEvent(@NotNull Egg egg, boolean hatching, byte numHatches, @NotNull EntityType hatchingType)`

## Uses of EntityType in io.papermc.paper.tag

Methods in io.papermc.paper.tag that return types with arguments of type EntityType
Modifier and Type
Method
Description
`protected @NotNull Set<EntityType>`
EntitySetTag.`getAllPossibleValues()`
Methods in io.papermc.paper.tag with parameters of type EntityType
Modifier and Type
Method
Description
`protected @NotNull String`
EntitySetTag.`getName(@NotNull EntityType value)`
Constructors in io.papermc.paper.tag with parameters of type EntityType
Modifier
Constructor
Description
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull EntityType... values)`
Constructor parameters in io.papermc.paper.tag with type arguments of type EntityType
Modifier
Constructor
Description
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Collection<EntityType> values)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Collection<EntityType> values, @NotNull Predicate<EntityType>... globalPredicates)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Predicate<EntityType> filter)`

## Uses of EntityType in org.bukkit

Fields in org.bukkit with type parameters of type EntityType
Modifier and Type
Field
Description
`static final Tag<EntityType>`
Tag.`ARROWS`
Deprecated, for removal: This API element is subject to removal in a future version.
use `Tag.ENTITY_TYPES_ARROWS`
`static final Tag<EntityType>`
Tag.`BEEHIVE_INHABITORS`
Deprecated, for removal: This API element is subject to removal in a future version.
use `Tag.ENTITY_TYPES_BEEHIVE_INHABITORS`
`static final Registry<EntityType>`
Registry.`ENTITY_TYPE`
Server entity types.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_ARROWS`
Vanilla tag representing arrows.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_AXOLOTL_ALWAYS_HOSTILES`
Vanilla tag representing which entities axolotls are always hostile to.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_AXOLOTL_HUNT_TARGETS`
Vanilla tag representing axolotl targets.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_BEEHIVE_INHABITORS`
Vanilla tag representing entities which can live in beehives.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_FREEZE_HURTS_EXTRA_TYPES`
Vanilla tag representing entities extra susceptible to freezing.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_FREEZE_IMMUNE_ENTITY_TYPES`
Vanilla tag representing entities immune from freezing.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_FROG_FOOD`
Vanilla tag representing entities which can be eaten by frogs.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_IMPACT_PROJECTILES`
Vanilla tag representing projectiles.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_POWDER_SNOW_WALKABLE_MOBS`
Vanilla tag representing mobs which can walk on powder snow.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_RAIDERS`
Vanilla tag representing raiders.
`static final Tag<EntityType>`
Tag.`ENTITY_TYPES_SKELETONS`
Vanilla tag representing skeletons.
`static final Tag<EntityType>`
Tag.`IMPACT_PROJECTILES`
Deprecated, for removal: This API element is subject to removal in a future version.
use `Tag.ENTITY_TYPES_IMPACT_PROJECTILES`
`static final Tag<EntityType>`
Tag.`RAIDERS`
Deprecated, for removal: This API element is subject to removal in a future version.
use `Tag.ENTITY_TYPES_RAIDERS`
`static final Tag<EntityType>`
Tag.`SKELETONS`
Deprecated, for removal: This API element is subject to removal in a future version.
use `Tag.ENTITY_TYPES_SKELETONS`
Methods in org.bukkit with parameters of type EntityType
Modifier and Type
Method
Description
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Decrements the given statistic for this player for the given entity.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int amount)`
Decrements the given statistic for this player for the given entity.
`int`
OfflinePlayer.`getStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Gets the value of the given statistic for this player.
`String`
UnsafeValues.`getTranslationKey(EntityType type)`
Deprecated.
Return the translation key for the EntityType, so the client can translate it into the active locale when using a `TranslatableComponent`.
This is `null`, when the EntityType isn't known to NMS (custom entities)
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Increments the given statistic for this player for the given entity.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int amount)`
Increments the given statistic for this player for the given entity.
`void`
OfflinePlayer.`setStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int newValue)`
Sets the given statistic for this player for the given entity.
`@NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location location, @NotNull EntityType type)`
Creates a entity at the given `Location`
`@NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location loc, @NotNull EntityType type, boolean randomizeData)`
Creates a new entity at the given `Location`.
`default @NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location loc, EntityType type, CreatureSpawnEvent.SpawnReason reason)`
`default @NotNull Entity`
RegionAccessor.`spawnEntity(@NotNull Location loc, EntityType type, CreatureSpawnEvent.SpawnReason reason, @Nullable Consumer<Entity> function)`

## Uses of EntityType in org.bukkit.block

Methods in org.bukkit.block that return EntityType
Modifier and Type
Method
Description
`@NotNull EntityType`
CreatureSpawner.`getSpawnedType()`
Get the spawner's creature type.
Methods in org.bukkit.block with parameters of type EntityType
Modifier and Type
Method
Description
`void`
CreatureSpawner.`setSpawnedType(@NotNull EntityType creatureType)`
Set the spawner's creature type.

## Uses of EntityType in org.bukkit.entity

Methods in org.bukkit.entity that return EntityType
Modifier and Type
Method
Description
`static @Nullable EntityType`
EntityType.`fromId(int id)`
Deprecated.
Magic value
`static @Nullable EntityType`
EntityType.`fromName(@Nullable String name)`
Deprecated.
Magic value
`@NotNull EntityType`
Entity.`getType()`
Get the type of the entity.
`static EntityType`
EntityType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityType[]`
EntityType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of EntityType in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityType
Modifier and Type
Method
Description
`@NotNull EntityType`
EntityEvent.`getEntityType()`
Gets the EntityType of the Entity involved in this event.

## Uses of EntityType in org.bukkit.event.player

Methods in org.bukkit.event.player that return EntityType
Modifier and Type
Method
Description
`@Nullable EntityType`
PlayerStatisticIncrementEvent.`getEntityType()`
Gets the EntityType if `getStatistic()` is an entity statistic otherwise returns null.
`@NotNull EntityType`
PlayerEggThrowEvent.`getHatchingType()`
Get the type of the mob being hatched (EntityType.CHICKEN by default)
Methods in org.bukkit.event.player with parameters of type EntityType
Modifier and Type
Method
Description
`void`
PlayerEggThrowEvent.`setHatchingType(@NotNull EntityType hatchType)`
Change the type of mob being hatched by the egg
Constructors in org.bukkit.event.player with parameters of type EntityType
Modifier
Constructor
Description
``
`PlayerEggThrowEvent(@NotNull Player player, @NotNull Egg egg, boolean hatching, byte numHatches, @NotNull EntityType hatchingType)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull EntityType entityType)`

## Uses of EntityType in org.bukkit.inventory

Methods in org.bukkit.inventory with parameters of type EntityType
Modifier and Type
Method
Description
`@Nullable ItemStack`
ItemFactory.`getSpawnEgg(EntityType type)`
Get a spawn egg ItemStack from an EntityType

## Uses of EntityType in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return EntityType
Modifier and Type
Method
Description
`EntityType`
SpawnEggMeta.`getSpawnedType()`
Deprecated.
different types are different items
Methods in org.bukkit.inventory.meta with parameters of type EntityType
Modifier and Type
Method
Description
`void`
SpawnEggMeta.`setSpawnedType(EntityType type)`
Deprecated.
different types are different items

## Uses of EntityType in org.bukkit.material

Methods in org.bukkit.material that return EntityType
Modifier and Type
Method
Description
`EntityType`
SpawnEgg.`getSpawnedType()`
Deprecated.
This is now stored in `SpawnEggMeta`.
Methods in org.bukkit.material with parameters of type EntityType
Modifier and Type
Method
Description
`void`
SpawnEgg.`setSpawnedType(EntityType type)`
Deprecated.
This is now stored in `SpawnEggMeta`.
Constructors in org.bukkit.material with parameters of type EntityType
Modifier
Constructor
Description
``
`SpawnEgg(EntityType type)`
Deprecated.

## Uses of EntityType in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard with parameters of type EntityType
Modifier and Type
Method
Description
`static @NotNull Criteria`
Criteria.`statistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Get a `Criteria` for the specified statistic pertaining to an entity type.